=== debian/changelog ===
clifm (1.26.3-1) unstable; urgency=medium

  * Initial release (Closes: #1031287)

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Thu, 21 Aug 2025 19:06:17 +0300
