=== debian/control ===
Source: clifm
Section: utils
Priority: optional
Maintainer: Kirill Rekhov <krekhov.dev@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libcap-dev,
               libacl1-dev,
               libmagic-dev,
               libreadline-dev
Homepage: https://github.com/leo-arch/clifm
Vcs-Git: https://salsa.debian.org/krekhov/clifm.git
Vcs-Browser: https://salsa.debian.org/krekhov/clifm
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: clifm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: fzf (>= 0.18.0),
            fish,
            zstd,
            vlock,
            mount,
            atool,
            rsync,
            udevil,
            man-db,
            python3,
            p7zip-full,
            genisoimage,
            archivemount
Suggests: scp,
          git,
          gpg,
          w3m,
          curl,
          gawk,
          file,
          less,
          ripgrep,
          sxiv | feh,
          xclip | xsel,
          ffmpegthumbnailer,
          mplayer | ffplay | mpv,
          poppler-utils | mupdf-tools
Description: Fast and lightweight command-line file manager
 CliFM is a powerful and intuitive command-line file manager designed to
 enhance productivity in the terminal. It offers a rich set of features
 including file navigation, preview, and management, all accessible through a
 user-friendly interface. With support for various plugins and customizable
 configurations, CliFM makes file operations efficient and enjoyable.
