=== debian/watch ===
version=4
https://github.com/leo-arch/clifm/tags .*/v?(\d\S*)\.tar\.gz
